Exports

For instructions on how to authenticate to use this endpoint, see API overview.

Endpoints

GET
POST
GET
GET
GET
POST
GET
GET

List all environments exports

Required API key scopes

export:read

Path parameters

  • environment_id
    string

Query parameters

  • limit
    integer
  • offset
    integer

Response


Example request

GET /api/environments/:environment_id/exports
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/exports/

Example response

Status 200
RESPONSE
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"id": 0,
"dashboard": 0,
"insight": 0,
"export_format": "image/png",
"created_at": "2019-08-24T14:15:22Z",
"has_content": true,
"export_context": null,
"filename": "string",
"expires_after": "2019-08-24T14:15:22Z",
"exception": "string"
}
]
}

Create environments exports

Required API key scopes

export:write

Path parameters

  • environment_id
    string

Request parameters

  • dashboard
    integer
  • insight
    integer
  • export_format
  • export_context

Response


Example request

POST /api/environments/:environment_id/exports
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/exports/\
-d export_format=undefined

Example response

Status 201
RESPONSE
{
"id": 0,
"dashboard": 0,
"insight": 0,
"export_format": "image/png",
"created_at": "2019-08-24T14:15:22Z",
"has_content": true,
"export_context": null,
"filename": "string",
"expires_after": "2019-08-24T14:15:22Z",
"exception": "string"
}

Retrieve environments exports

Required API key scopes

export:read

Path parameters

  • environment_id
    string
  • id
    integer

Response


Example request

GET /api/environments/:environment_id/exports/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/exports/:id/

Example response

Status 200
RESPONSE
{
"id": 0,
"dashboard": 0,
"insight": 0,
"export_format": "image/png",
"created_at": "2019-08-24T14:15:22Z",
"has_content": true,
"export_context": null,
"filename": "string",
"expires_after": "2019-08-24T14:15:22Z",
"exception": "string"
}

Retrieve environments exports content

Required API key scopes

export:read

Path parameters

  • environment_id
    string
  • id
    integer

Example request

GET /api/environments/:environment_id/exports/:id/content
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/exports/:id/content/

Example response

Status 200 No response body

List all exports

Required API key scopes

export:read

Path parameters

  • project_id
    string

Query parameters

  • limit
    integer
  • offset
    integer

Response


Example request

GET /api/projects/:project_id/exports
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/exports/

Example response

Status 200
RESPONSE
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"id": 0,
"dashboard": 0,
"insight": 0,
"export_format": "image/png",
"created_at": "2019-08-24T14:15:22Z",
"has_content": true,
"export_context": null,
"filename": "string",
"expires_after": "2019-08-24T14:15:22Z",
"exception": "string"
}
]
}

Create exports

Required API key scopes

export:write

Path parameters

  • project_id
    string

Request parameters

  • dashboard
    integer
  • insight
    integer
  • export_format
  • export_context

Response


Example request

POST /api/projects/:project_id/exports
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/exports/\
-d export_format=undefined

Example response

Status 201
RESPONSE
{
"id": 0,
"dashboard": 0,
"insight": 0,
"export_format": "image/png",
"created_at": "2019-08-24T14:15:22Z",
"has_content": true,
"export_context": null,
"filename": "string",
"expires_after": "2019-08-24T14:15:22Z",
"exception": "string"
}

Retrieve exports

Required API key scopes

export:read

Path parameters

  • id
    integer
  • project_id
    string

Response


Example request

GET /api/projects/:project_id/exports/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/exports/:id/

Example response

Status 200
RESPONSE
{
"id": 0,
"dashboard": 0,
"insight": 0,
"export_format": "image/png",
"created_at": "2019-08-24T14:15:22Z",
"has_content": true,
"export_context": null,
"filename": "string",
"expires_after": "2019-08-24T14:15:22Z",
"exception": "string"
}

Retrieve exports content

Required API key scopes

export:read

Path parameters

  • id
    integer
  • project_id
    string

Example request

GET /api/projects/:project_id/exports/:id/content
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/exports/:id/content/

Example response

Status 200 No response body

Community questions

Questions about this page? or post a community question.